Skip to main content
GET
/
cities
Get City Details
curl --request GET \
  --url https://api.shovels.ai/v2/cities \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.shovels.ai/v2/cities"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/cities")
  .header("X-API-Key", "<api-key>")
  .asString();
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shovels.ai/v2/cities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.shovels.ai/v2/cities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.shovels.ai/v2/cities",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "geo_id": "Q2l0eV8xMjM0NQ",
  "name": "SAN FRANCISCO, CA",
  "state": "CA",
  "counties": {
    "SAN FRANCISCO": "Q291bnR5XzEyMzQ"
  },
  "jurisdictions": {
    "SAN FRANCISCO": "SnVyaXNkaWN0aW9uXzEyMzQ"
  },
  "zipcodes": [
    "94102",
    "94103",
    "94104",
    "94105"
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

geo_id
string
required

Geolocation ID

Response

City details and related location hierarchy.

City-specific details read model.

geo_id
string
required

Geolocation ID

name
string
required

Formatted entity name

state
string
required

State abbreviation

counties
Counties · object | null
jurisdictions
Jurisdictions · object | null
zipcodes
(string | null)[] | null